var PlatFormHelperUC = (function () {
    var window;
    var document;
    var urlparams;
    var accountId;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "uch5";
        result["channelid"] = "H5";//urlparams.getQuerystring("channel");
        result["ad"] = urlparams.getQuerystring("ad");
        mylog.log("send back message:" + result);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        var includejs = "http://image.9game.cn/s/uae/g/1m/h5sdk/js/v1/sdk/h5-sdk.js";
        var self = this;
		$.getScript(includejs, function()
		{
            H5Sdk.init();
            var result = new Object();
            result["isUseCustomLogin"] = false;
            self.proxy.sendMessage("sdkInit", result);
		});
    }

    function sdkLogin(params){
        var self = this;
        H5Sdk.login(function(data) {
            // 获取data中的信息完成后续登录校验操作
            if(data.error == "true"){
                console.log("long error:" + data.message);
            }else{
                var result = {};
                result.uid = "";
                result.token = data.sid
                self.proxy.sendMessage("sdkLogin",result);
            }
        });
    }

    function sdkDataVerify(params){
        if(params.dvname="loginverify"){
            var temp = params.account_id;
            if (temp) {
                var arr = temp.split("_")
                accountId = arr[1];
            }
        }
    }

    function logOut(params){
        location.reload();
    }

    function share(str) {
        this.proxy.sendMessage("share",{});
    }

    function sdkPay(params){
        var am = params["mhtOrderAmt"];
        var cn = am.toFixed(2);
        var mhtOrderId = params["mhtOrderId"];
        H5Sdk.openPay({
            amount: cn,
            accountId: accountId,
            callbackInfo: '', // 选填
            notifyUrl: '', // 选填
            cpOrderId: params["mhtOrderId"], // 选填
            sign: params["mhtOrderSign"] // 签名
        },function(obj){
            console.log(obj.orderId) //阿里游戏订单号
            console.log(obj.orderAmount) //订单金额
            console.log(obj.payWay) //支付通道代码
            var result = {};
            result["error_code"] = 0;
            result["mhtOrderId"] = mhtOrderId;
            self.proxy.sendMessage("sdkPay",result);
        });

    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay
    }
}
)();