var PlatFormHelper4399 = (function () {
    var window;
    var document;
    var urlparams;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "4399";
        result["channelid"] = "H5";
        result["ad"] = urlparams.getQuerystring("ad");
        mylog.log("send back message:" + result);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        var result = {};
        result["isUseCustomLogin"] = false;
        this.proxy.sendMessage("sdkInit",result); 
    }

    function sdkLogin(params){
        var temp = {};
		temp.uid = urlparams.getQuerystring("userId");
		temp.gameId = urlparams.getQuerystring("gameId");
		temp.platformGameId = urlparams.getQuerystring("platformGameId");
		temp.userName = urlparams.getQuerystring("userName");
		temp.time = urlparams.getQuerystring("time");
		temp.sign = urlparams.getQuerystring("sign");
		var rc = urlparams.getQuerystring("rc");
        var token = JSON.stringify(temp);
        var result = {};
        result.uid = temp.uid;
        result.token = token;
		if (rc != 1){
			parent.postMessage({
				eventType: 'logout'
			}, '*');
		}
        this.proxy.sendMessage("sdkLogin",result);
    }

    function sdkDataVerify(params){
        console.log("result");
        console.log(params);
    }

    function logOut(params){
        location.reload();
        //重新登录后,切换到登陆界面
        parent.postMessage({
				eventType: 'logout'
		}, '*');
    }

    function share(str) {
        this.proxy.sendMessage("share",{});
    }

    function sdkPay(params){
        parent.postMessage({
            eventType: 'openPay',
            data: {
                // 充值金额（人民币：元） 只能为整数
                money: params["mhtOrderAmt"],
                // 游戏的充值订单编号 最多32位
                mark: params["mhtOrderId"],
                // 服务器编号 不能为空或者0
                server: params["serverID"],
                // 透传参数，用于充值成功后的服务端回调地址
                extra: params["pid"]
            }
        }, '*');
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay
    }
}
)();