var PlatFormHelper7724 = (function () {
    var window;
    var document;
    var urlparams;
    var qqesuid;
    var channelid;
    var channeluid;
    var ext;
    var channelPtSdk;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "7724";
        result["channelid"] = "H5";
        result["ad"] = urlparams.getQuerystring("ad");
        //获得平台数据
        qqesuid = urlparams.getQuerystring("login_id");
        channelid = urlparams.getQuerystring("channelid");
        channeluid = urlparams.getQuerystring("channeluid");
        ext = decodeURI(urlparams.getQuerystring("ext"));
        console.log("logresult:" + qqesuid + ";" + channelid + ";" + channeluid);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        var includejs = "http://pulsdk.7724.com/channelsdk/sbpulsdk.js?v=1209";
        var self = this;
		$.getScript(includejs, function()
		{
            var reqsign = {
                qqesuid:qqesuid,
                channelid:channelid,
                channeluid:channeluid,
                cpgameid:35,
                ext:ext,
                qqestimestamp:Date.parse(new Date()),
            }
            self.getSign(reqsign,function(data){
                reqsign.sign = data;
                console.log("get sign:" + data);
                SbPulSdk.init(reqsign, function(channelSdk){
                    console.log("sdk init over");
                    channelPtSdk = channelSdk
                    channelPtSdk.shareConfig(function(){
                        this.proxy.sendMessage("share",{});    
                    }, {'cp_p1' : 'cp自定义参数', 'cp_p2': '自定义参数会在登录回调的ext里面'});
                })
            })

            var result = new Object();
            result["isUseCustomLogin"] = false;
            self.proxy.sendMessage("sdkInit", result);  
		});
    }

    function sdkLogin(params){
        var result = {};
        result.uid = urlparams.getQuerystring("login_id");
        result.token = urlparams.getQuerystring("session_id");;
        this.proxy.sendMessage("sdkLogin",result);
    }

    function sdkDataVerify(params){
        var self = this;
        if(params.dvname == "createrole"){
            var crdata = {
                cpgameid:35,
                qqesuid:qqesuid,
                channelid:channelid,
                cpguid:'71597572475cfe7',
                roleName:params.userName,
                serverId:1,
                level:1,
                ext:ext,
                qqestimestamp:Date.parse(new Date()),
            }
            self.getSign(crdata,function(data){
                crdata.sign = data;
                SbPulSdk.createRole(crdata)
            })

        }else{
            var name = "test";
            if (params.server_body){
                name = params.server_body.name;
            }
            var crdata = {
                cpgameid:35,
                qqesuid:qqesuid,
                channelid:channelid,
                cpguid:'71597572475cfe7',
                roleName:name,
                serverId:1,
                level:1,
                servername:1,
                vip:0,
                ext:ext,
                qqestimestamp:Date.parse(new Date()),
            }
            self.getSign(crdata,function(data){
                crdata.sign = data;
                SbPulSdk.loginRole(crdata)
            })
        }
        console.log("result");
        console.log(params);
    }

    function logOut(params){
        location.reload();
    }

    function share(str) {
        channelPtSdk.share(function(){
            this.proxy.sendMessage("share",{});
        }, {'cp_p1' : 'cp自定义参数', 'cp_p2': '自定义参数会在登录回调的ext里面'});
        
    }

    function getSign(params,callback){
        var content = JSON.stringify(params);
         $.ajax({
            url : 'http://' + Proxy.JsProxy.appIp() + '/api/get-sign-7724/',
            async : true,
            type : 'post',
            dataType : 'text',
            data : content,
            success : function(data) {
                console.log("getsign::" + callback);
               if (callback) {
                   callback(data);
               }
            },
            error : function(data) {
                var tt = JSON.stringify(params);
                console.log("error:::" + tt)
                if (callback) {
                   callback(data);
               }
                // BydrPayTaiwanPC.showErrMsg("儲值失敗，請稍後再試", 2000);
            }
        });
    }

    function sdkPay(params){
        var am = params["mhtOrderAmt"];
        var fee = am.toFixed(2);
        SbPulSdk.pay({
            order:params["mhtOrderId"],
            cpgameid:35,
            cpguid:"71597572475cfe7",
            order:params.mhtOrderId,
            qqesuid:qqesuid,
            channelid:channelid,
            channeluid:channeluid,
            goodsname:params.mhtOrderName,
            fee:fee,
            ext:ext,
            timestamp:params.timestamp,
            sign:params.mhtOrderSign
        });
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay,
        getSign:getSign
    }
}
)();