var PlatFormHelperQunhei = (function () {
    var window;
    var document;
    var urlparams;
    var uid;
    var token;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "qunhei";
        result["channelid"] = "H5";//urlparams.getQuerystring("channel");
        result["ad"] = urlparams.getQuerystring("ad");
        mylog.log("send back message:" + result);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        uid = urlparams.getQuerystring("login_id");
        token = urlparams.getQuerystring("session_id");
        
        var includejs = "http://port.2r3r.com/game/qhjssdk";
        var self = this;
		$.getScript(includejs, function()
		{
            var initdata = { 
                "username":uid,//用户id，群黑登录接口里面username参数
                "gid":'3636',//群黑游戏id，可以在后台游戏列表查询
                };	
            qhsdk.init(initdata);
            var result = new Object();
            result["isUseCustomLogin"] = false;
            self.proxy.sendMessage("sdkInit", result);
        });
    }

    function sdkLogin(params){
        var result = {};
        result.uid = uid;
        result.token = token;
        this.proxy.sendMessage("sdkLogin",result);
    }

    function sdkDataVerify(params){
        console.log("result");
        console.log(params);
    }

    function logOut(params){
        location.reload();
    }

    function share(str) {
        qhsdk.share();
        onmessage=function(e){
            e=e||event;
            if(e.data == 'shareok'){
                this.proxy.sendMessage("share",{});
            }
        }
    }

    function sdkPay(params){
        var self = this;
        var paydata = { 
			   "userId":uid,
			   "gid":'3636',
			   "roleName":'',
			   'goodsId':params["pid"],
			   "goodsName":params["mhtOrderName"], 
			   "money":params["mhtOrderAmt"],
			   "ext":params["mhtOrderId"],
			   "sign":params["mhtOrderSign"]
			};	
			qhsdk.pay(paydata,function(code,msg){
				//充值结果通知，code为编号，msg为信息。该结果不能作为发货依据。
				//code=1充值成功 ，其他为充值失败。
				//alert(code+','+msg);
                var result = {};
                result["error_code"] = 0;
                result["mhtOrderId"] = params["mhtOrderId"];
                self.proxy.sendMessage("sdkPay",result);
			});
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay
    }
}
)();