var PlatFormHelper4399jh = (function () {
    var window;
    var document;
    var urlparams;
    var game_id;
    var user_id;
    var username;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "4399jh";
        result["channelid"] = "H5";
        result["ad"] = urlparams.getQuerystring("ad");
        mylog.log("send back message:" + result);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        var includejs = "http://cdn.h5wan.4399sj.com/issue-frame/dist/static/api/api.js";
        var self = this;
		$.getScript(includejs, function()
		{
            var result = {};
            result["isUseCustomLogin"] = false;
            self.proxy.sendMessage("sdkInit",result); 
        });
    }

    function sdkLogin(params){
        var temp = {};
		temp.user_id = urlparams.getQuerystring("user_id");
		temp.game_id = urlparams.getQuerystring("game_id");
		temp.username = urlparams.getQuerystring("username");
		temp.time = urlparams.getQuerystring("time");
		temp.sign = urlparams.getQuerystring("sign");
        temp.channel_id = urlparams.getQuerystring("channel_id");
		var rc = urlparams.getQuerystring("rc");
        var token = JSON.stringify(temp);
        var result = {};
        result.uid = temp.user_id;
        result.token = token;
        game_id = temp.game_id
        user_id = temp.user_id;
        username = temp.username;
		if (rc != 1){
            logout();
		}
        this.proxy.sendMessage("sdkLogin",result);
    }

    function sdkDataVerify(params){
        if (params.dvname == "selectServer"){
            var data=new Array();
            data['game_id']=game_id
            data['user_id']=user_id
            data['role_id']=params.uid; ///角色id
            data['role_name']=params.name; ///角色昵称
            data['level']=0; ///角色等级，若无传0
            data['server']=params.serverindex; ///游戏区服
            gameLoaded(data);
        }
    }

    function logOut(params){
        location.reload();
        //重新登录后,切换到登陆界面
        logout();
    }

    function share(str) {
        this.proxy.sendMessage("share",{});
    }

    function sdkPay(params){
        var data = {};
        data.money = params["mhtOrderAmt"];
        data.mark = params["mhtOrderId"];
        data.server = params["serverID"];
        data.extra = params["pid"];
        data.game_id = game_id;
        data.user_id = user_id;
        data.username = username;
        data.goods_name = params.mhtOrderName;
        openPay(data);
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay
    }
}
)();