var PlatFormHelperFB = (function () {
    var window;
    var document;
    var urlparams;
    var fbid = '121676375032819'
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "facebook";
        result["channelid"] = "H5";
        result["ad"] = urlparams.getQuerystring("ad");
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        window.fbAsyncInit = function() {
            FB.init({
            appId      : fbid,
            status     :true,
            xfbml      : true,
            cookie     : true,
            version    : 'v2.8'
            });
            // ADD ADDITIONAL FACEBOOK CODE HERE
            var result = new Object();
            result["isUseCustomLogin"] = false;
            result["reqids"] = urlparams.getQuerystring("request_ids");
            self.proxy.sendMessage("sdkInit",result);
        };
        mylog.log("PlatformHelperFB start to init");
        var self = this;
        (function(d, s, id){
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {return;}
            js = d.createElement(s); js.id = id;
            js.src = "//connect.facebook.net/en_US/sdk.js";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk')); 
    }

    function sdkLogin(params){
        mylog.log("the fb is start to login");
        var self = this;
        FB.login(function(response) {
            mylog.log("fb sdk get Login status:" + response.status);
            if (response.status === 'connected') {
                var rm = response.authResponse;
				var result = {};
                result.uid = rm.userID;
                result.token = rm.accessToken;
                self.proxy.sendMessage("sdkLogin",result);
			} else if (response.status === 'not_authorized') {
				Util.toast("FB 没有授权");
			} else {
				Util.toast("无法连接到Facebook");
			}
        }, {scope: 'user_friends,email'});
        
        // FB.getLoginStatus(function(response) {
        //     mylog.log("fb sdk get Login status:" + response.status);
        //     if (response.status === 'connected') {
        //         var rm = response.authResponse;
		// 		var result = {};
        //         result.uid = rm.userID;
        //         result.token = rm.accessToken;
        //         self.proxy.sendMessage("sdkLogin",result);
		// 	} else if (response.status === 'not_authorized') {
				
		// 	} else {
				
			
		// 	}
        // });
    }

    function sdkDataVerify(params){
        console.log("result");
        console.log(params);
    }

    function logOut(params){
        location.reload();
    }

    function share(params) {
        var result = {};//fb分享的参数设置
        if (params.method) {
            result.method = params.method;
        }
        if (params.link) {
            result.link = params.link;
        }
        if (params.caption) {
            result.caption = params.caption;
        }
        if (params.redirect_uri) {
            result.redirect_uri = params.redirect_uri;
        }
        if (params.to){
            result.to = params.to;
        }
        if (params.message) {
            result.message = params.message;
        }
        if(params.picture){
            result.picture = params.picture;
        }
        result.app_id = fbid;
        var self = this;
        mylog.log(result);
        FB.ui(result, function(response){
            mylog.log("share response:");
            mylog.log(response);
            self.proxy.sendMessage("share",response);
        });
    }

    function sdkPay(params){
        var order_id = params["order_id"];
        mylog.log("order id:" + order_id);
        var obj = {
            method: 'pay',
            action: 'purchaseiap',
            request_id: order_id,
            product_id:'1',
            developer_payload:'this is a test payload'
        };

        FB.ui(obj, function(data) {
            mylog.log("result:" + data);
            mylog.log(data);
        });
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        sdkPay:sdkPay,
        share:share,
        logOut:logOut,
    }
}
)();