var PlatFormHelperGameDog = (function () {
    var window;
    var document;
    var urlparams;
    var channel;
    var token;
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "gamedog";
        result["channelid"] = "H5";
        result["ad"] = urlparams.getQuerystring("ad");
        mylog.log("send back message:" + result);
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        var result = {};
        result["isUseCustomLogin"] = false;
        var ext = {};
        ext.channel = urlparams.getQuerystring("channel");
        channel = ext.channel;
        var str = JSON.stringify(ext);
        result["extradata"] = str;
        this.proxy.sendMessage("sdkInit",result); 
    }

    function sdkLogin(params){
        var result = {};
        result.uid = "";
        result.token = urlparams.getQuerystring("token");
        token = result.token;
        this.proxy.sendMessage("sdkLogin",result);
    }

    function sdkDataVerify(params){
        console.log("result");
        console.log(params);
    }

    function logOut(params){
        location.reload();
    }

    function share(str) {
        this.proxy.sendMessage("share",{});
    }

    function sdkPay(params){
        window.top.location.href="http://sdk.h5.gamedog.cn/pay/index?appid=000260&channel="+channel+"&fee="+
        params.mhtOrderAmt+"&orderno="+params.mhtOrderId+"&subject="+params.mhtOrderName+"&ext=''"+"&sign="+params.mhtOrderSign+"&timestamp="+params.timestamp+
        "&token=" + token;
    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        logOut:logOut,
        share:share,
        sdkPay:sdkPay
    }
}
)();