var PlatFormHelperMyCard = (function () {
    var window;
    var document;
    var urlparams;
    var fbid = '121676375032819'
    var paytype = [{type:"2",name:"MyCard台湾地区支付"},{type:"3",name:"MyCard海外地区支付"}];//当前sdk使用的支付项
    function init(params){
        window = params.window;
        document = params.document;
        urlparams = params.params;
    }

    function getPlatFormInfo(params){
        var result = new Object();
        result["platform"] = "facebook";
        result["channelid"] = "H5";
        //增加支付类型
        result["paytype"]=paytype;
        result["ad"] = urlparams.getQuerystring("ad");
        this.proxy.sendMessage("getPlatFormInfo",result);
    }

    function sdkInit(params) {
        window.fbAsyncInit = function() {
            FB.init({
            appId      : fbid,
            xfbml      : true,
            cookie     : true,
            version    : 'v2.8'
            });
            // ADD ADDITIONAL FACEBOOK CODE HERE
            var result = new Object();
            result["isUseCustomLogin"] = true;
            result["reqids"] = urlparams.getQuerystring("request_ids");
            self.proxy.sendMessage("sdkInit",result);
        };
        var self = this;
        (function(d, s, id){
            var js, fjs = d.getElementsByTagName(s)[0];
            if (d.getElementById(id)) {return;}
            js = d.createElement(s); js.id = id;
            js.src = "/resource/js/sdk.js";
            fjs.parentNode.insertBefore(js, fjs);
        }(document, 'script', 'facebook-jssdk')); 
    }

    function sdkLogin(params){
        mylog.log("the fb is start to login");
        var tmp='';//for async fb login status response
        var self = this;
        FB.getLoginStatus(function(response) {
            if (response.status === "connected"){
                self.sdkFinalLogin(response);
            }else{
                var selff = self;
                FB.login(function(response) {
                    mylog.log("fb sdk get Login status:" + response.status);
                    if (response.status === 'connected') {
                        selff.sdkFinalLogin(response);
                    } else if (response.status === 'not_authorized') {
                        Util.toast("FB 没有授权");
                    } else {
                        Util.toast("无法连接到Facebook");
                    }
                }, {scope: 'user_friends,email'});
            }
        });

    }

    function sdkDataVerify(params){
        console.log("result");
        console.log(params);
    }

    function sdkFinalLogin(response){
        var rm = response.authResponse;
        var result = {};
        result.uid = rm.userID;
        result.token = rm.accessToken;
        this.proxy.sendMessage("sdkLogin",result);
        //登陆成功,记录打点信息
        fbq('track', 'CompleteRegistration');
    }

    function logOut(params){
        location.reload();
    }

    function share(params) {
        var result = {};//fb分享的参数设置
        if (params.method) {
            result.method = params.method;
        }
        if (params.link) {
            result.link = params.link;
        }
        if (params.caption) {
            result.caption = params.caption;
        }
        if (params.redirect_uri) {
            result.redirect_uri = params.redirect_uri;
        }
        if (params.to){
            result.to = params.to;
        }
        if (params.message) {
            result.message = params.message;
        }
        if(params.picture){
            result.picture = params.picture;
        }
        result.app_id = fbid;
        var self = this;
        mylog.log(result);
        FB.ui(result, function(response){
            mylog.log("share response:");
            mylog.log(response);
            self.proxy.sendMessage("share",response);
        });
    }

    function sdkPay(params){
        $.ajax({
            url : 'http://apptest.tw.hi365.com/backend_mycard_authcode/',
            async : true,
            type : 'post',
            dataType : 'json',
            data : {
                trade_type: 2,
                game_uid:params.mhtUserId,
                payment_type:"",
                item_code:params.mhtOrderId,
                product_name:params.mhtOrderDetail,
                amount:params.mhtOrderAmt * 100,
                currency:params.mPriceExt,
                game_id:'twxxwn',
                pay_type:params.payType,
                username:params.ptUserId,
            },
            success : function(data) {
                if (data.status == 1) {
                    // 跳轉到MYCARD支付頁面
                    var result = data.data;
                    mylog.log("pay success:" + data.status);
                    var authorcode = result.auth_code;
                    var order_no = result.order_no;
                    var url = 'http://test.mycard520.com.tw/MyCardPay/?AuthCode=' + authorcode;
                    console.log("mycard authord url:" + url);
                    window.location.href = url;
                } else {
                    mylog.log("pay error:" + data.status + ";" + data.message);
                    // BydrPayTaiwanPC.showErrMsg(data.msg, 2000);
                }
            },
            error : function() {
                // BydrPayTaiwanPC.showErrMsg("儲值失敗，請稍後再試", 2000);
            }
        });

    }

    return{
        init:init,
        getPlatFormInfo:getPlatFormInfo,
        sdkInit:sdkInit,
        sdkLogin:sdkLogin,
        sdkDataVerify:sdkDataVerify,
        sdkFinalLogin:sdkFinalLogin,
        sdkPay:sdkPay,
        share:share,
        logOut:logOut,
    }
}
)();